summaryrefslogtreecommitdiffstats
path: root/development/scite/scite.SlackBuild
diff options
context:
space:
mode:
author Iskar Enev <iskar.enev[@]gmail.com>2010-03-21 12:13:58 -0500
committer Erik Hanson <erik@slackbuilds.org>2010-05-13 14:10:40 +0200
commit213c572dca8fb43949e474d5e949a592585fd647 (patch)
treef5c6ed2221fcd506608cb3cd3984db775f9a6c66 /development/scite/scite.SlackBuild
parent3294eae1c4b51e4ea4a17a3ef53bba884342b1db (diff)
downloadslackbuilds-213c572dca8fb43949e474d5e949a592585fd647.tar.gz
slackbuilds-213c572dca8fb43949e474d5e949a592585fd647.tar.xz
development/scite: Build fixes for bash4.
Diffstat (limited to 'development/scite/scite.SlackBuild')
-rw-r--r--development/scite/scite.SlackBuild12
1 files changed, 4 insertions, 8 deletions
diff --git a/development/scite/scite.SlackBuild b/development/scite/scite.SlackBuild
index 0e1b507106..7f18ed5c23 100644
--- a/development/scite/scite.SlackBuild
+++ b/development/scite/scite.SlackBuild
@@ -5,7 +5,7 @@
PRGNAM=scite
VERSION=2.03
ARCH=${ARCH:-i486}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
CWD=$(pwd)
@@ -49,12 +49,8 @@ make install DESTDIR=$PKG
( cd $PKG/usr/bin ; ln -sf SciTE scite )
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null
-)
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
cd $TMP/scite
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/html
@@ -64,7 +60,7 @@ cp -a $PKG/usr/share/scite/*.html $PKG/usr/share/scite/*.png \
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/usr/man/man1
-cat doc/scite.1 | gzip -9c > $PKG/usr/man/man1/scite.1.gz
+gzip -9c doc/scite.1 > $PKG/usr/man/man1/scite.1.gz
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc